Index: doc/src/sgml/pgcrypto.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/pgcrypto.sgml,v
retrieving revision 1.4
diff -p -u -c -r1.4 pgcrypto.sgml
*** doc/src/sgml/pgcrypto.sgml	5 Jan 2008 13:17:00 -0000	1.4
--- doc/src/sgml/pgcrypto.sgml	17 Jan 2008 09:56:51 -0000
***************
*** 26,33 ****
     <para>
      Computes a binary hash of the given <parameter>data</>.
      <parameter>type</> is the algorithm to use.
!     Standard algorithms are <literal>md5</literal> and
!     <literal>sha1</literal>.  If <filename>pgcrypto</> was built with
      OpenSSL, more algorithms are available, as detailed in
      <xref linkend="pgcrypto-with-without-openssl">.
     </para>
--- 26,35 ----
     <para>
      Computes a binary hash of the given <parameter>data</>.
      <parameter>type</> is the algorithm to use.
!     Standard algorithms are <literal>md5</literal>, <literal>sha1</literal>,
!     <literal>sha224</literal>, <literal>sha256</literal>,
!     <literal>sha384</literal> and <literal>sha512</literal>.
!     If <filename>pgcrypto</> was built with
      OpenSSL, more algorithms are available, as detailed in
      <xref linkend="pgcrypto-with-without-openssl">.
     </para>
***************
*** 390,396 ****
    <title>PGP encryption functions</title>
  
    <para>
!    The functions here implement the encryption part of the OpenPGP (RFC 2440)
     standard.  Supported are both symmetric-key and public-key encryption.
    </para>
  
--- 392,398 ----
    <title>PGP encryption functions</title>
  
    <para>
!    The functions here implement the encryption part of the OpenPGP (RFC 4880)
     standard.  Supported are both symmetric-key and public-key encryption.
    </para>
  
***************
*** 657,663 ****
  
     <para>
      Which compression algorithm to use.  Only available if
!     <filename>pgcrypto</> was built with zlib.
     </para>
     <programlisting>
      Values:
--- 659,665 ----
  
     <para>
      Which compression algorithm to use.  Only available if
!     <productname>PostgreSQL<productname/> was built with zlib.
     </para>
     <programlisting>
      Values:
***************
*** 689,695 ****
     <para>
      Whether to convert <literal>\n</literal> into <literal>\r\n</literal> when
      encrypting and <literal>\r\n</literal> to <literal>\n</literal> when
!     decrypting.  RFC 2440 specifies that text data should be stored using
      <literal>\r\n</literal> line-feeds.  Use this to get fully RFC-compliant
      behavior.
     </para>
--- 691,697 ----
     <para>
      Whether to convert <literal>\n</literal> into <literal>\r\n</literal> when
      encrypting and <literal>\r\n</literal> to <literal>\n</literal> when
!     decrypting.  RFC 4880 specifies that text data should be stored using
      <literal>\r\n</literal> line-feeds.  Use this to get fully RFC-compliant
      behavior.
     </para>
***************
*** 706,712 ****
     <para>
      Do not protect data with SHA-1.  The only good reason to use this
      option is to achieve compatibility with ancient PGP products, predating
!     the addition of SHA-1 protected packets to RFC 2440.
      Recent gnupg.org and pgp.com software supports it fine.
     </para>
     <programlisting>
--- 708,714 ----
     <para>
      Do not protect data with SHA-1.  The only good reason to use this
      option is to achieve compatibility with ancient PGP products, predating
!     the addition of SHA-1 protected packets to RFC 4880.
      Recent gnupg.org and pgp.com software supports it fine.
     </para>
     <programlisting>
***************
*** 1172,1187 ****
  
     <itemizedlist>
      <listitem>
!      <para><ulink url="http://www.ietf.org/rfc/rfc2440.txt"></ulink></para>
       <para>OpenPGP message format.</para>
      </listitem>
      <listitem>
-      <para>
-       <ulink url="http://www.imc.org/draft-ietf-openpgp-rfc2440bis"></ulink>
-      </para>
-      <para>New version of RFC 2440.</para>
-     </listitem>
-     <listitem>
       <para><ulink url="http://www.ietf.org/rfc/rfc1321.txt"></ulink></para>
       <para>The MD5 Message-Digest Algorithm.</para>
      </listitem>
--- 1174,1183 ----
  
     <itemizedlist>
      <listitem>
!      <para><ulink url="http://www.ietf.org/rfc/rfc4880.txt"></ulink></para>
       <para>OpenPGP message format.</para>
      </listitem>
      <listitem>
       <para><ulink url="http://www.ietf.org/rfc/rfc1321.txt"></ulink></para>
       <para>The MD5 Message-Digest Algorithm.</para>
      </listitem>